package cn.ezhizao.project.business.auxiliaryProcess.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.auxiliaryProcess.mapper.BizAuxiliaryProcessMapper;
import cn.ezhizao.project.business.auxiliaryProcess.domain.BizAuxiliaryProcess;
import cn.ezhizao.project.business.auxiliaryProcess.service.IBizAuxiliaryProcessService;

/**
 * 辅助工序Service业务层处理
 *
 * @author ezhizao
 * @date 2024-08-20
 */
@Service
public class BizAuxiliaryProcessServiceImpl  extends ServiceImpl<BizAuxiliaryProcessMapper, BizAuxiliaryProcess> implements IBizAuxiliaryProcessService
{
    @Resource
    private BizAuxiliaryProcessMapper bizAuxiliaryProcessMapper;

    /**
     * 查询辅助工序列表
     *
     * @param bizAuxiliaryProcess 辅助工序
     * @return 辅助工序
     */
    @Override
    public List<BizAuxiliaryProcess> getList(BizAuxiliaryProcess bizAuxiliaryProcess)
    {
        return bizAuxiliaryProcessMapper.getList(bizAuxiliaryProcess);
    }

    /**
     * 物理删除
     * @param bizAuxiliaryProcess
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizAuxiliaryProcess bizAuxiliaryProcess){ return bizAuxiliaryProcessMapper.physicalDelete(bizAuxiliaryProcess); };

}
