package cn.ezhizao.project.business.consult.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 报工技术咨询对象 biz_daywork_item_consult
 *
 * @author ezhizao
 * @date 2024-11-19
 */
@Data
@TableName(value = "biz_daywork_item_consult")
public class BizDayworkItemConsult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户id（提交人id） */
    @ApiModelProperty(value = "${comment}")
    private Long userId;

    /** 用户姓名（提交人姓名） */
    @Excel(name = "用户姓名", readConverterExp = "提=交人姓名")
    @ApiModelProperty(value = "用户姓名")
    private String nickName;

    /** 租户（厂别）id */
    @ApiModelProperty(value = "用户姓名")
    private Long tenantId;

    /** process_inspection的id */
    @ApiModelProperty(value = "用户姓名")
    private Long processInspectionId;

    /** daywork的id */
    @ApiModelProperty(value = "用户姓名")
    private Long dayworkId;

    /** 报工明细id */
    @ApiModelProperty(value = "用户姓名")
    private Long dayworkItemId;

    /** 计划单id */
    @ApiModelProperty(value = "用户姓名")
    private Long productionPlanId;

    /** 计划单明细id */
    @ApiModelProperty(value = "用户姓名")
    private Long productionPlanDetailId;

    /** 子计划id */
    @ApiModelProperty(value = "用户姓名")
    private Long productionPlanDetailSubDetailId;

    /** 子计划工序对应的设备id？？？？？？？？？ */
    @ApiModelProperty(value = "用户姓名")
    private Long productionPlanDetailSubDetailEquipmentId;

    /** 批次id */
    @ApiModelProperty(value = "用户姓名")
    private Long lotId;

    /** 批次号 */
    @Excel(name = "批次号")
    @ApiModelProperty(value = "批次号")
    private String lotCode;

    /** 产品id */
    @ApiModelProperty(value = "批次号")
    private Long productId;

    /** 产品描述 */
    @Excel(name = "产品描述")
    @ApiModelProperty(value = "产品描述")
    private String productDescription;

    /** 工艺id（通过工艺id，获取版本号） */
    @ApiModelProperty(value = "产品描述")
    private Long technologicalProcessId;

    /** 当前工序id */
    @ApiModelProperty(value = "产品描述")
    private Long technologicalProcessDetailId;

    /** 工序id */
    @ApiModelProperty(value = "产品描述")
    private Long processId;

    /** 咨询部门（0：技术，1：品管） */
    @Excel(name = "咨询部门", readConverterExp = "0=：技术，1：品管")
    @ApiModelProperty(value = "咨询部门")
    private Integer consultDepartment;

    /** 工序简称 */
    @Excel(name = "工序简称")
    @ApiModelProperty(value = "工序简称")
    private String processAlias;

    /** 咨询的信息 */
    @Excel(name = "咨询的信息")
    @ApiModelProperty(value = "咨询的信息")
    private String content;

    /** 是否外协序检（0否，1是） */
    @Excel(name = "是否外协序检", readConverterExp = "0=否，1是")
    @ApiModelProperty(value = "是否外协序检")
    private Integer isOutsourcedInspection;

    /** 咨询结果id */
    @ApiModelProperty(value = "是否外协序检")
    private Long consultResultId;

    /** 咨询结果的结果 */
    @Excel(name = "咨询结果的结果")
    @ApiModelProperty(value = "咨询结果的结果")
    private String consultResultResult;

    /** 是否序检（0否，1是） */
    @Excel(name = "是否序检", readConverterExp = "0=否，1是")
    @ApiModelProperty(value = "是否序检")
    private Integer isProcessInspection;

    /** 回复状态 0未回复 2合格 1不合格 */
    @Excel(name = "回复状态 0未回复 2合格 1不合格")
    @ApiModelProperty(value = "回复状态 0未回复 2合格 1不合格")
    private Integer status;

    /** 技术员id（对应sys_user的id） */
    @ApiModelProperty(value = "回复状态 0未回复 2合格 1不合格")
    private Long technicianId;

    /** 审核人id */
    @ApiModelProperty(value = "回复状态 0未回复 2合格 1不合格")
    private Long reviewerId;

}
