package cn.ezhizao.project.business.consultResult.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 咨询结果维护对象 biz_consult_result
 *
 * @author ezhizao
 * @date 2024-11-19
 */
@Data
@TableName(value = "biz_consult_result")
public class BizConsultResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 咨询结果 */
    @Excel(name = "咨询结果")
    @ApiModelProperty(value = "咨询结果")
    private String result;

    /** 放行状态（0：放行，1：不放行 */
    @Excel(name = "放行状态", readConverterExp = "放行状态（0：放行，1：不放行")
    @ApiModelProperty(value = "放行状态")
    private Integer status;

}
