package cn.ezhizao.project.business.consultResult.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.consultResult.domain.BizConsultResult;
import cn.ezhizao.project.business.consultResult.mapper.BizConsultResultMapper;
import cn.ezhizao.project.business.consultResult.service.IBizConsultResultService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;


/**
 * 咨询结果维护Service业务层处理
 *
 * @author ezhizao
 * @date 2024-11-19
 */
@Service
public class BizConsultResultServiceImpl  extends ServiceImpl<BizConsultResultMapper, BizConsultResult> implements IBizConsultResultService
{
    @Resource
    private BizConsultResultMapper bizConsultResultMapper;

    /**
     * 查询咨询结果维护列表
     *
     * @param bizConsultResult 咨询结果维护
     * @return 咨询结果维护
     */
    @Override
    public List<BizConsultResult> getList(BizConsultResult bizConsultResult)
    {
        return bizConsultResultMapper.getList(bizConsultResult);
    }

    /**
     * 物理删除
     * @param bizConsultResult
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizConsultResult bizConsultResult){ return bizConsultResultMapper.physicalDelete(bizConsultResult); };

}
