package cn.ezhizao.project.business.conversion.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.conversion.domain.BizProductDrawingConversion;
import cn.ezhizao.project.business.conversion.mapper.BizProductDrawingConversionMapper;
import cn.ezhizao.project.business.conversion.service.IBizProductDrawingConversionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * 产品电子化率记录Service业务层处理
 *
 * @author ezhizao
 * @date 2024-07-16
 */
@Service
public class BizProductDrawingConversionServiceImpl  extends ServiceImpl<BizProductDrawingConversionMapper, BizProductDrawingConversion> implements IBizProductDrawingConversionService
{
    @Resource
    private BizProductDrawingConversionMapper bizProductDrawingConversionMapper;

    /**
     * 查询产品电子化率记录列表
     *
     * @param bizProductDrawingConversion 产品电子化率记录
     * @return 产品电子化率记录
     */
    @Override
    public List<BizProductDrawingConversion> getList(BizProductDrawingConversion bizProductDrawingConversion)
    {
        return bizProductDrawingConversionMapper.getList(bizProductDrawingConversion);
    }

    /**
     * 物理删除
     * @param bizProductDrawingConversion
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizProductDrawingConversion bizProductDrawingConversion){ return bizProductDrawingConversionMapper.physicalDelete(bizProductDrawingConversion); };

}
