package cn.ezhizao.project.business.daywork.service.impl;

import cn.ezhizao.project.business.daywork.domain.BizDayworkItem;
import cn.ezhizao.project.business.daywork.mapper.BizDayworkItemMapper;
import cn.ezhizao.project.business.daywork.service.IBizDayworkItemService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 报工记录Service业务层处理
 *
 * @author ezhizao
 * @date 2023-12-04
 */
@Service
public class BizDayworkItemServiceImpl  extends ServiceImpl<BizDayworkItemMapper, BizDayworkItem> implements IBizDayworkItemService
{
    @Resource
    private BizDayworkItemMapper bizDayworkItemMapper;

    /**
     * 查询报工记录列表
     *
     * @param bizDayworkItem 报工记录
     * @return 报工记录
     */
    @Override
    public List<BizDayworkItem> getList(BizDayworkItem bizDayworkItem)
    {
        return bizDayworkItemMapper.getList(bizDayworkItem);
    }

    /**
     * 物理删除
     * @param bizDayworkItem
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizDayworkItem bizDayworkItem){ return bizDayworkItemMapper.physicalDelete(bizDayworkItem); }

}




