package cn.ezhizao.project.business.daywork.service.impl;

import cn.ezhizao.project.business.daywork.domain.BizDaywork;
import cn.ezhizao.project.business.daywork.mapper.BizDayworkMapper;
import cn.ezhizao.project.business.daywork.service.IBizDayworkService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;


/**
 * 报工Service业务层处理
 *
 * @author ezhizao
 * @date 2023-11-29
 */
@Service
public class BizDayworkServiceImpl  extends ServiceImpl<BizDayworkMapper, BizDaywork> implements IBizDayworkService
{
    @Resource
    private BizDayworkMapper bizDayworkMapper;

    /**
     * 查询报工列表
     *
     * @param bizDaywork 报工
     * @return 报工
     */
    @Override
    public List<BizDaywork> getList(BizDaywork bizDaywork)
    {
        return bizDayworkMapper.getList(bizDaywork);
    }

    /**
     * 物理删除
     * @param bizDaywork
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizDaywork bizDaywork){ return bizDayworkMapper.physicalDelete(bizDaywork); }

    @Override
    public List<BizDaywork> getTurnoverDayworkList() {
        return bizDayworkMapper.getTurnoverDayworkList();
    }

}
