package cn.ezhizao.project.business.email.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import lombok.experimental.Accessors;

/**
 * 提醒邮件配置文件对象 biz_email
 *
 * @author ezhizao
 * @date 2025-03-12
 */
@Data
@TableName(value = "biz_email")
public class BizEmail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** from - 0, to - 1 */
    @Excel(name = "from - 0, to - 1")
    @ApiModelProperty(value = "from - 0, to - 1")
    private Integer type;

    /** 默认0,已停用 1 */
    @Excel(name = "默认0,已停用 1")
    @ApiModelProperty(value = "默认0,已停用 1")
    private Integer isStop;

    /** 地址 */
    @Excel(name = "地址")
    @ApiModelProperty(value = "地址")
    private String emailAddress;

    /** 授权码 可以是密码 */
    @Excel(name = "授权码 可以是密码")
    @ApiModelProperty(value = "授权码 可以是密码")
    private String authCode;

    /** 端口 */
    @Excel(name = "端口")
    @ApiModelProperty(value = "端口")
    private String port;

    /** 发送协议 不同的协议使用不同的端口，只有发送方需要填写 */
    @Excel(name = "发送协议 不同的协议使用不同的端口，只有发送方需要填写")
    @ApiModelProperty(value = "发送协议 不同的协议使用不同的端口，只有发送方需要填写")
    private String protocol;

    /** 协议服务地址 */
    @Excel(name = "协议服务地址")
    @ApiModelProperty(value = "协议服务地址")
    private String host;

    /** 是否使用ssl 1是 0否 */
    @Excel(name = "是否使用ssl 1是 0否")
    @ApiModelProperty(value = "是否使用ssl 1是 0否")
    private Integer isSsl;

    @TableField(exist = false)
    private Long tenantId;

}
