package cn.ezhizao.project.business.email.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.email.mapper.BizEmailMapper;
import cn.ezhizao.project.business.email.domain.BizEmail;
import cn.ezhizao.project.business.email.service.IBizEmailService;

/**
 * 提醒邮件配置文件Service业务层处理
 *
 * @author ezhizao
 * @date 2025-03-12
 */
@Service
public class BizEmailServiceImpl  extends ServiceImpl<BizEmailMapper, BizEmail> implements IBizEmailService
{
    @Resource
    private BizEmailMapper bizEmailMapper;

    /**
     * 查询提醒邮件配置文件列表
     *
     * @param bizEmail 提醒邮件配置文件
     * @return 提醒邮件配置文件
     */
    @Override
    public List<BizEmail> getList(BizEmail bizEmail)
    {
        return bizEmailMapper.getList(bizEmail);
    }

    /**
     * 物理删除
     * @param bizEmail
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizEmail bizEmail){ return bizEmailMapper.physicalDelete(bizEmail); };

}
