package cn.ezhizao.project.business.equipment.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;


/**
 * 设备青岛那对象 biz_equipment_detail
 *
 * @author ezhizao
 * @date 2023-11-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "biz_equipment_detail")
public class BizEquipmentDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 设备档案id
     */
    @ApiModelProperty(value = "${comment}")
    private Long equipmentId;

    /** 租户id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    @ApiModelProperty(value = "设备名称")
    private String equipmentCode;

    /**
     * 使用部门 id
     */
    @ApiModelProperty(value = "设备名称")
    private Long usageDeptId;

    /**
     * 使用部门编码
     */
    @Excel(name = "使用部门编码")
    @ApiModelProperty(value = "使用部门编码")
    private String usageDeptCode;

    /**
     * 使用部门简称
     */
    @Excel(name = "使用部门简称")
    @ApiModelProperty(value = "使用部门简称")
    private String usageDeptAlias;

    /**
     * 归属部门 id
     */
    @ApiModelProperty(value = "归属部门id")
    private Long belongingDeptId;

    /**
     * 归属部门编码
     */
    @Excel(name = "归属部门编码")
    @ApiModelProperty(value = "使用部门编码")
    private String belongingDeptCode;

    /**
     * 归属部门简称
     */
    @Excel(name = "归属部门简称")
    @ApiModelProperty(value = "使用部门简称")
    private String belongingDeptAlias;

    /**
     * 报废日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "报废日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "报废日期")
    private Date abandonmentDate;

    /**
     * 设备状态id（对应数据字典id）
     */
    @ApiModelProperty(value = "报废日期")
    private Long equipmentStatusId;

    /**
     * 设备状态（NA：可用；WX：维修；CL：报废）
     */
    @Excel(name = "设备状态", readConverterExp = "N=A：可用；WX：维修；CL：报废")
    @ApiModelProperty(value = "设备状态")
    private String equipmentStatusCode;
    private Long isVirtualEquipment;

    /**
     * 备注
     */
    @Excel(name = "备注", readConverterExp = "备注")
    @ApiModelProperty(value = "备注")
    private String remark;

    @TableField(exist = false)
    private String categoryName;
    /** 设备名称 */
    private String equipmentName;
    /** 规格 */
    private String standard;

    @TableField(exist = false)
    private String deptUserId;

    @ApiModelProperty(value = "二维码存放地址")
    private String qcCode;
    /**
     * 设备类别Id
     */
    private Long equipmentCategoryId;

}
