package cn.ezhizao.project.business.inspectionChamber.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.inspectionChamber.mapper.BizWorkshopChamberMapper;
import cn.ezhizao.project.business.inspectionChamber.domain.BizWorkshopChamber;
import cn.ezhizao.project.business.inspectionChamber.service.IBizWorkshopChamberService;

/**
 * 检查室车间关联Service业务层处理
 *
 * @author ezhizao
 * @date 2024-07-17
 */
@Service
public class BizWorkshopChamberServiceImpl  extends ServiceImpl<BizWorkshopChamberMapper, BizWorkshopChamber> implements IBizWorkshopChamberService
{
    @Resource
    private BizWorkshopChamberMapper bizWorkshopChamberMapper;

    /**
     * 查询检查室车间关联列表
     *
     * @param bizWorkshopChamber 检查室车间关联
     * @return 检查室车间关联
     */
    @Override
    public List<BizWorkshopChamber> getList(BizWorkshopChamber bizWorkshopChamber)
    {
        return bizWorkshopChamberMapper.getList(bizWorkshopChamber);
    }

    /**
     * 物理删除
     * @param bizWorkshopChamber
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizWorkshopChamber bizWorkshopChamber){ return bizWorkshopChamberMapper.physicalDelete(bizWorkshopChamber); };

}
