package cn.ezhizao.project.business.message.service.impl;

import cn.ezhizao.project.business.message.domain.BizMessage;
import cn.ezhizao.project.business.message.mapper.BizMessageMapper;
import cn.ezhizao.project.business.message.service.IBizMessageService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 消息队列Service业务层处理
 *
 * @author ezhizao
 * @date 2024-07-03
 */
@Service
public class BizMessageServiceImpl extends ServiceImpl<BizMessageMapper, BizMessage> implements IBizMessageService
{
    @Resource
    private BizMessageMapper bizMessageMapper;

    /**
     * 查询消息队列列表
     *
     * @param bizMessage 消息队列
     * @return 消息队列
     */
    @Override
    public List<BizMessage> getList(BizMessage bizMessage)
    {
        return bizMessageMapper.getList(bizMessage);
    }


}
