package cn.ezhizao.project.business.notification.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.notification.domain.SysNotification;
import cn.ezhizao.project.business.notification.mapper.SysNotificationMapper;
import cn.ezhizao.project.business.notification.service.ISysNotificationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;


/**
 * 发版通知公告Service业务层处理
 *
 * @author ezhizao
 * @date 2025-01-08
 */
@Service
public class SysNotificationServiceImpl  extends ServiceImpl<SysNotificationMapper, SysNotification> implements ISysNotificationService
{
    @Resource
    private SysNotificationMapper sysNotificationMapper;

    /**
     * 查询发版通知公告列表
     *
     * @param sysNotification 发版通知公告
     * @return 发版通知公告
     */
    @Override
    public List<SysNotification> getList(SysNotification sysNotification)
    {
        return sysNotificationMapper.getList(sysNotification);
    }

    /**
     * 物理删除
     * @param sysNotification
     * @return 删除结果
     */
    @Override
    public int physicalDelete(SysNotification sysNotification){ return sysNotificationMapper.physicalDelete(sysNotification); };

}
