package cn.ezhizao.project.business.processCompletion.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.processCompletion.domain.BizProcessCompletion;
import cn.ezhizao.project.business.processCompletion.mapper.BizProcessCompletionMapper;
import cn.ezhizao.project.business.processCompletion.service.IBizProcessCompletionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * 企业租户Service业务层处理
 *
 * @author ezhizao
 * @date 2024-08-01
 */
@Service
public class BizProcessCompletionServiceImpl  extends ServiceImpl<BizProcessCompletionMapper, BizProcessCompletion> implements IBizProcessCompletionService
{
    @Resource
    private BizProcessCompletionMapper bizProcessCompletionMapper;

    /**
     * 查询企业租户列表
     *
     * @param bizProcessCompletion 企业租户
     * @return 企业租户
     */
    @Override
    public List<BizProcessCompletion> getList(BizProcessCompletion bizProcessCompletion)
    {
        return bizProcessCompletionMapper.getList(bizProcessCompletion);
    }

    /**
     * 物理删除
     * @param bizProcessCompletion
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizProcessCompletion bizProcessCompletion){ return bizProcessCompletionMapper.physicalDelete(bizProcessCompletion); };

}
