package cn.ezhizao.project.business.publicSeal.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.publicSeal.domain.BizPublicSeal;
import cn.ezhizao.project.business.publicSeal.mapper.BizPublicSealMapper;
import cn.ezhizao.project.business.publicSeal.service.IBizPublicSealService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;


/**
 * 电子图纸Service业务层处理
 *
 * @author ezhizao
 * @date 2024-07-04
 */
@Service
public class BizPublicSealServiceImpl  extends ServiceImpl<BizPublicSealMapper, BizPublicSeal> implements IBizPublicSealService
{
    @Resource
    private BizPublicSealMapper bizPublicSealMapper;

    /**
     * 查询电子图纸列表
     *
     * @param bizPublicSeal 电子图纸
     * @return 电子图纸
     */
    @Override
    public List<BizPublicSeal> getList(BizPublicSeal bizPublicSeal)
    {
        return bizPublicSealMapper.getList(bizPublicSeal);
    }

    /**
     * 物理删除
     * @param bizPublicSeal
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizPublicSeal bizPublicSeal){ return bizPublicSealMapper.physicalDelete(bizPublicSeal); };

}
