package cn.ezhizao.project.business.resourceGroup.service.impl;


import cn.ezhizao.project.business.resourceGroup.domain.BizProductionResourceGroupDetail;
import cn.ezhizao.project.business.resourceGroup.mapper.BizProductionResourceGroupDetailMapper;
import cn.ezhizao.project.business.resourceGroup.service.IBizProductionResourceGroupDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 工段资源组明细Service业务层处理
 *
 * @author ezhizao
 * @date 2024-01-10
 */
@Service
public class BizProductionResourceGroupDetailServiceImpl  extends ServiceImpl<BizProductionResourceGroupDetailMapper, BizProductionResourceGroupDetail> implements IBizProductionResourceGroupDetailService
{
    @Resource
    private BizProductionResourceGroupDetailMapper bizProductionResourceGroupDetailMapper;

    /**
     * 查询工段资源组明细列表
     *
     * @param bizProductionResourceGroupDetail 工段资源组明细
     * @return 工段资源组明细
     */
    @Override
    public List<BizProductionResourceGroupDetail> getList(BizProductionResourceGroupDetail bizProductionResourceGroupDetail)
    {
        return bizProductionResourceGroupDetailMapper.getList(bizProductionResourceGroupDetail);
    }

    /**
     * 物理删除
     * @param bizProductionResourceGroupDetail
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizProductionResourceGroupDetail bizProductionResourceGroupDetail){ return bizProductionResourceGroupDetailMapper.physicalDelete(bizProductionResourceGroupDetail); }

    @Override
    public List<BizProductionResourceGroupDetail> getEquipmentList(BizProductionResourceGroupDetail bizProductionResourceGroupDetail) {
        return bizProductionResourceGroupDetailMapper.getEquipmentList(bizProductionResourceGroupDetail);
    }

    ;

}
