package cn.ezhizao.project.business.supplier.domain;
import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 外协厂联系人对象 biz_supplier_concacts
 *
 * @author ezhizao
 * @date 2024-05-13
 */
@Data
@TableName(value = "biz_supplier_contacts")
public class BizSupplierContacts extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户ID */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 外协商id */
    @ApiModelProperty(value = "${comment}")
    private Long supplierId;

    /** 外协商名称 */
    @Excel(name = "外协商名称")
    @ApiModelProperty(value = "外协商名称")
    private String supplierName;

    /** 名字 */
    @Excel(name = "名字")
    @ApiModelProperty(value = "名字")
    private String name;
    private String rule;

    /** 用户邮箱 */
    @Excel(name = "用户邮箱")
    @ApiModelProperty(value = "用户邮箱")
    private String email;

    /** 手机号码 */
    @Excel(name = "手机号码")
    @ApiModelProperty(value = "手机号码")
    private String phoneNumber;

    /** 默认联系人（1：是 */
    @Excel(name = "默认联系人", readConverterExp = "默认联系人（1：是")
    @ApiModelProperty(value = "默认联系人")
    private Integer isDefault;

}
