package cn.ezhizao.project.business.supplier.domain;

import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 外协商的用户表
 *
 * @author ezhizao
 * date    2024-04-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "biz_supplier_user")
public class BizSupplierUser extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "租户（厂别）id")
    private Long tenantId;

    @ApiModelProperty(value = "外协商id")
    private Long supplierId;

    @ApiModelProperty(value = "公司编码")
    private String supplierCode;

    @ApiModelProperty(value = "公司名")
    private String supplierName;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "是否管理员（0：否，1：是）")
    private String isAdmin;

    @ApiModelProperty(value = "备注")
    private String remark;
}
