package cn.ezhizao.project.business.supplier.service.impl;

import cn.ezhizao.project.business.supplier.domain.BizSupplierProductProcess;
import cn.ezhizao.project.business.supplier.mapper.BizSupplierProductProcessMapper;
import cn.ezhizao.project.business.supplier.service.IBizSupplierProductProcessService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 外协商对应的产品Service业务层处理
 *
 * @author ezhizao
 * date    2024-04-24
 */
@Service
public class BizSupplierProductProcessServiceImpl extends ServiceImpl<BizSupplierProductProcessMapper, BizSupplierProductProcess> implements IBizSupplierProductProcessService {
    @Resource
    private BizSupplierProductProcessMapper bizSupplierProductProcessMapper;

    /**
     * 物理删除
     *
     * @param bizSupplierProductProcess 外协商对应的产品
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizSupplierProductProcess bizSupplierProductProcess) {
        return bizSupplierProductProcessMapper.physicalDelete(bizSupplierProductProcess);
    }

    @Override
    public List<BizSupplierProductProcess> getList(BizSupplierProductProcess bizSupplierProductProcess) {
        return bizSupplierProductProcessMapper.getList(bizSupplierProductProcess);
    }
}
