package cn.ezhizao.project.business.supplier.service.impl;

import cn.ezhizao.project.business.supplier.domain.BizSupplierProduct;
import cn.ezhizao.project.business.supplier.mapper.BizSupplierProductMapper;
import cn.ezhizao.project.business.supplier.service.IBizSupplierProductService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 外协商对应的产品Service业务层处理
 *
 * @author ezhizao
 * date    2024-04-24
 */
@Service
public class BizSupplierProductServiceImpl extends ServiceImpl<BizSupplierProductMapper, BizSupplierProduct> implements IBizSupplierProductService {
    @Resource
    private BizSupplierProductMapper bizSupplierProductMapper;

    /**
     * 物理删除
     *
     * @param bizSupplierProduct 外协商对应的产品
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizSupplierProduct bizSupplierProduct) {
        return bizSupplierProductMapper.physicalDelete(bizSupplierProduct);
    }

    @Override
    public List<BizSupplierProduct> getList(BizSupplierProduct data) {
        return bizSupplierProductMapper.getList(data);
    }
}
