package cn.ezhizao.project.business.technologicalProcessDetailDrawing.mapper;


import cn.ezhizao.project.business.technologicalProcessDetailDrawing.domain.BizTechnologicalProcessDetailDrawing;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 电子图纸Mapper接口
 *
 * @author ezhizao
 * @date 2024-05-30
 */
@Mapper
public interface BizTechnologicalProcessDetailDrawingMapper extends BaseMapper<BizTechnologicalProcessDetailDrawing>
{
    /**
     * 查询电子图纸列表
     *
     * @param bizTechnologicalProcessDetailDrawing 电子图纸
     * @return 电子图纸集合
     */
    public List<BizTechnologicalProcessDetailDrawing> getList(BizTechnologicalProcessDetailDrawing bizTechnologicalProcessDetailDrawing);

    /**
     * 查询电子图纸列表
     *
     * @param bizTechnologicalProcessDetailDrawing 电子图纸
     * @return 电子图纸集合
     */
    public List<BizTechnologicalProcessDetailDrawing> getDrawingList(BizTechnologicalProcessDetailDrawing bizTechnologicalProcessDetailDrawing);


    public List<BizTechnologicalProcessDetailDrawing> getDrawingListByBasics(BizTechnologicalProcessDetailDrawing bizTechnologicalProcessDetailDrawing);

    /**
     * 物理删除
     * @param bizTechnologicalProcessDetailDrawing
     * @return 删除结果
    */
    public int physicalDelete(BizTechnologicalProcessDetailDrawing bizTechnologicalProcessDetailDrawing);


    /**
     * 查询产品在工序的电子图纸
     */
    public Integer getProcuctDrawing();
}
