package cn.ezhizao.project.business.technologicalProcessDetailDrawingRecords.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import cn.ezhizao.project.business.technologicalProcessDetail.domain.BizTechnologicalProcessDetail;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 电子图纸操作记录对象 biz_technological_process_detail_drawing_records
 *
 * @author ezhizao
 * @date 2024-06-03
 */
@Data
@TableName(value = "biz_technological_process_detail_drawing_records")
public class BizTechnologicalProcessDetailDrawingRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id，厂别或类型1:Ⅰ类2：Ⅱ类 */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 人员id */
    @ApiModelProperty(value = "${comment}")
    private Long userId;

    /** 工艺工序id */
    @ApiModelProperty(value = "${comment}")
    private Long technologicalProcessDetailId;

    /** 工艺工序id */
    @ApiModelProperty(value = "${comment}")
    private Long technologicalProcessDetailDrawingId;

    /** 操作类型 */
    @Excel(name = "操作类型")
    @ApiModelProperty(value = "操作类型")
    private String type;
    /** 产品id */
    @ApiModelProperty(value = "${comment}")
    private Long productId;

    @ApiModelProperty(value = "工序编码")
    private String processCode;
    @ApiModelProperty(value = "工艺版本编码")
    private String productVersion;


    @TableField(exist = false)
    private String productDescription;

    @TableField(exist = false)
    private String processAlias;
    /** 图纸名称 */
    @Excel(name = "图纸名称")
    @ApiModelProperty(value = "图纸名称")
    private String drawingName;

    @TableField(exist = false)
    private String userName;

    @TableField(exist = false)
    private BizTechnologicalProcessDetail processDetail;

}
