package cn.ezhizao.project.business.technologicalProcessDetailDrawingUser.domain;

import java.util.Date;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 电子图纸操作人员对象 biz_technological_process_detail_drawing_user
 *
 * @author ezhizao
 * @date 2024-07-31
 */
@Data
@TableName(value = "biz_technological_process_detail_drawing_user")
public class BizTechnologicalProcessDetailDrawingUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id，厂别或类型1:Ⅰ类2：Ⅱ类 */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 人员id */
    @ApiModelProperty(value = "${comment}")
    private Long userId;

    /** 操作类型 */
    @Excel(name = "操作类型")
    @ApiModelProperty(value = "操作类型")
    private Integer type;
    @ApiModelProperty(value = "废弃标识")
    private Integer  abandoned;

    /** 图纸名称 */
    @Excel(name = "图纸名称")
    @ApiModelProperty(value = "图纸名称")
    private String drawingName;

    /** 图纸id */
    @ApiModelProperty(value = "图纸名称")
    private Long drawingId;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "操作时间")
    private Date recordTime;

    /** 产品版本 */
    @Excel(name = "产品版本")
    @ApiModelProperty(value = "产品版本")
    private String productVersion;

    /** 工序编码 */
    @Excel(name = "工序编码")
    @ApiModelProperty(value = "工序编码")
    private String processCode;

    /** 图纸名称 */
    @Excel(name = "图纸名称")
    @ApiModelProperty(value = "图纸名称")
    private String nickName;

    /** 产品id */
    @ApiModelProperty(value = "图纸名称")
    private Long productId;

}
