package cn.ezhizao.project.business.workshopTrunover.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 车间管理周转区对象 biz_workshop_turnover
 *
 * @author zhuangdezheng
 * @date 2024-04-16
 */
@Data
@TableName(value = "biz_workshop_turnover")
public class BizWorkshopTurnover extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户id */
    @ApiModelProperty(value = "车间名称")
    private Long tenantId;

    /**
     * 车间id
     */
    @Excel(name = "车间id")
    @ApiModelProperty(value = "车间id")
    private Long workshopId;
    /**
     * 周转区编码
     */
    @Excel(name = "周转区编码")
    @ApiModelProperty(value = "周转区编码")
    private String code;

    /**
     * 周转区状态
     */
    @Excel(name = "周转区状态")
    @ApiModelProperty(value = "周转区状态")
    private Integer status;

    /**
     * 备注
     */
    @Excel(name = "备注", readConverterExp = "备注")
    @ApiModelProperty(value = "备注")
    private String remark;

}
