package cn.ezhizao.project.tenant.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 企业加入申请记录对象 biz_tenant_apply
 *
 * @author zhushan
 * @date 2023-08-31
 */
@Data
@TableName(value = "biz_tenant_apply")
public class BizTenantApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 想要加入的 企业租户id */
    private Long tenantId;
    /** 用户 id */
    private Long userId;
    /** 审核人 id */
    private Long auditId;
    /** 状态 0 待审核 1 */
    @Excel(name = "状态 0 待审核 1")
    @ApiModelProperty(value = "状态 0 待审核 1")
    private Integer status;

    @TableField(exist = false)
    private String userName;
    @TableField(exist = false)
    private String auditName;

    @TableField(exist = false)
    private String orgName;
    @TableField(exist = false)
    private String orgNature;
    @TableField(exist = false)
    private String orgCrtCode;
    @TableField(exist = false)
    private String legalName;
    @TableField(exist = false)
    private String entPrefix;
    @TableField(exist = false)
    private String province;
    @TableField(exist = false)
    private String city;
    @TableField(exist = false)
    private String county;
    @TableField(exist = false)
    private String orgAddr;
}
