package cn.ezhizao.project.tenant.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.ezhizao.project.tenant.domain.BizUserTenant;
import cn.ezhizao.project.tenant.mapper.BizUserTenantMapper;
import cn.ezhizao.project.tenant.service.IBizUserTenantService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 用户和租户的中间表Service业务层处理
 *
 * @author zhushan
 * @date 2023-08-17
 */
@Service
public class BizUserTenantServiceImpl  extends ServiceImpl<BizUserTenantMapper, BizUserTenant> implements IBizUserTenantService
{
    @Resource
    private BizUserTenantMapper bizUserTenantMapper;

    /**
     * 查询用户和租户的中间表列表
     *
     * @param bizUserTenant 用户和租户的中间表
     * @return 用户和租户的中间表
     */
    @Override
    public List<BizUserTenant> getList(BizUserTenant bizUserTenant)
    {
        return bizUserTenantMapper.getList(bizUserTenant);
    }

    /**
     * 物理删除
     * @param bizUserTenant
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizUserTenant bizUserTenant){ return bizUserTenantMapper.physicalDelete(bizUserTenant); };

}
