package cn.ezhizao.project.tool.file.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.ezhizao.project.tool.file.domain.File;
import cn.ezhizao.project.tool.file.mapper.FileMapper;
import cn.ezhizao.project.tool.file.service.IFileService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 文件库Service业务层处理
 *
 * @author ruoyi
 * @date 2022-12-15
 */
@Service
public class FileServiceImpl extends ServiceImpl<FileMapper, File> implements IFileService
{
    @Resource
    private FileMapper fileMapper;

    /**
     * 查询文件库列表
     *
     * @param file 文件库
     * @return 文件库
     */
    @Override
    public List<File> getList(File file)
    {
        return fileMapper.getList(file);
    }

    /**
     * 物理删除
     * @param file 文件对象
     * @return 删除结果
     */
    @Override
    public int physicalDelete(File file) {
        return fileMapper.physicalDelete(file);
    }

}
